org.jboss.resteasy.client.cache

## Class CacheFactory

- java.lang.Object
- - org.jboss.resteasy.client.cache.CacheFactory

- Deprecated.

      @Deprecated
      public class CacheFactory
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `makeCacheable(ClientInterceptorRepository interceptorRepository, BrowserCache cache)` Deprecated. Make a raw ClientRequest cache results in the provided cache.
    `static LightweightBrowserCache` | `makeCacheable(Object clientProxy)` Deprecated. Makes the client proxy cacheable.
    `static void` | `makeCacheable(Object clientProxy, BrowserCache cache)` Deprecated. Makes the client proxy cacheable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheFactory

          public CacheFactory()

      Deprecated.

  - ### Method Detail

    - #### makeCacheable

          public static LightweightBrowserCache makeCacheable(Object clientProxy)

      Deprecated.
      Makes the client proxy cacheable. Returns the cache that will hold returned values from the server.
      Parameters:
        `clientProxy` -
      Returns:

    - #### makeCacheable

          public static void makeCacheable(Object clientProxy,
                           BrowserCache cache)

      Deprecated.
      Makes the client proxy cacheable. This method allows you to pass in a shared cache that the proxy should use
      Parameters:
        `clientProxy` -
        `cache` -

    - #### makeCacheable

          public static void makeCacheable(ClientInterceptorRepository interceptorRepository,
                           BrowserCache cache)

      Deprecated.
      Make a raw ClientRequest cache results in the provided cache.
      Parameters:
        `request` -
        `cache` -

Copyright © 2014. All Rights Reserved.